<?php
session_start();
require_once('config.php');
require_once('dbutils.php');
require_once('locationfuncs.php');
$masterdb = new GenericSqliteTable("var/master.db","master");
$locationdb = new GenericSqliteTable("var/locations.db","locations");

if(!isset($masterdb[$_GET['id']]))
	die("No such ID");

$record = $masterdb[$_GET['id']];
$locations = $locationdb[$_GET['id']];
$initialLoc = GetBestLocation($_GET['id']);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">
<?php

//*****************
//Form
//*****************


if(!isset($_SESSION['nickname'])) $_SESSION['nickname'] = "Anonymous";
?>


				<div class="post">
					<h2 class="title"><a href="#">Confirm Vote</a></h2>
					<div class="entry">
					<form method="post" action="details.php?id=<?php echo $_GET['id'];?>">
					<p>Your nickname: <input type="text" name="nickname" value="<?php echo $_SESSION['nickname']; ?>"/>
					<input type="hidden" name="uuid" value="<?php echo $_GET['uuid'];?>"/>
					<input type="hidden" name="id" value="<?php echo $_GET['id'];?>"/>
					<input type="hidden" name="vote" value="<?php echo $_GET['vote'];?>"/></p>


<?php
if(GetConfigOption('enableCaptcha'))
{
	require_once('recaptcha-php-1.11/recaptchalib.php');
	$publickey = GetConfigOption('recaptchaPublic');
	echo recaptcha_get_html($publickey);
}
?>

					<p><input type="submit" value="Submit" /></p>
					</form>

					<p><a href="details.php?id=<?php echo $_GET['id'];?>">Cancel</a></p>
					</div>
				</div>

			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>
